import type { Plugin } from '@commitlint/types';
export type RemoveIndex<T> = {
    [K in keyof T as symbol extends K ? never : string extends K ? never : number extends K ? never : K]: T[K];
};
export type CommitLintRule = Plugin['rules'][string];
export type RuleParameters = Parameters<CommitLintRule>;
export type Commit = RuleParameters[0];
export type CommitBase = RemoveIndex<RuleParameters[0]>;
export declare const properties: ("header" | "body" | "footer" | "type" | "scope" | "subject")[];
export type CommitProperty = (typeof properties)[number];
export type PluginRuleEntry = [ruleName: `cspell/${CommitProperty}`, ruleFn: CommitLintRule];
//# sourceMappingURL=types.d.ts.map